Bug 210999 - security/libsodium: Update libsodium to 1.0.10
Summary: security/libsodium: Update libsodium to 1.0.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-11 08:42 UTC by Emmanuel Vadot
Modified: 2016-07-13 04:16 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (vsevolod)


Attachments
update to 1.0.10 (2.05 KB, patch)
2016-07-11 08:42 UTC, Emmanuel Vadot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Emmanuel Vadot freebsd_committer 2016-07-11 08:42:58 UTC
Created attachment 172368 [details]
update to 1.0.10

Hello,

This patch update libsodium to 1.0.10
Comment 1 John Marino freebsd_committer 2016-07-12 12:49:24 UTC
Vsevolod: if you don't have time to get to this quickly, I can pick up this PR if you wish.  I have an interest to see libsodium at version 1.0.10.
Comment 2 Vsevolod Stakhov freebsd_committer 2016-07-12 12:54:46 UTC
John, I'm fine if you apply this change. One note: please don't forget to bump revision for all dependant ports as this is not reflected in the proposed patch. Thank you!
Comment 3 John Marino freebsd_committer 2016-07-12 12:57:09 UTC
okay, thanks for the tip.  I'll test this patch along with the bumps and commit if everything looks okay.
Comment 4 Emmanuel Vadot freebsd_committer 2016-07-12 14:18:19 UTC
Sorry about the bump, I didn't know it was needed.
If there a quick way to find all dependent ports (i.e. not grep -R) ?
Comment 5 John Marino freebsd_committer 2016-07-12 14:22:22 UTC
alternative ways would be to grep INDEX-X or check freshports page, but the latter is not reliable.  I just recursive grepped and noted that it matched freshports.

Unfortunately the ports tree changed a lot in the last couple of days so everything is getting rebuilt in my check (more than 200 ports).

libsodium itself passed fine though.
Comment 6 commit-hook freebsd_committer 2016-07-12 22:04:04 UTC
A commit references this bug:

Author: marino
Date: Tue Jul 12 22:03:55 UTC 2016
New revision: 418449
URL: https://svnweb.freebsd.org/changeset/ports/418449

Log:
  security/libsodium: Upgrade version 1.0.8 => 1.0.10

  Also bump all ports that depend on libsodium.

  PR:		210999
  Submitted by:	manu
  Approved by:	vsevolod (maintainer)

Changes:
  head/dns/curvedns/Makefile
  head/dns/dnscrypt-proxy/Makefile
  head/dns/dnscrypt-wrapper/Makefile
  head/dns/dnsdist/Makefile
  head/ftp/pure-ftpd/Makefile
  head/net/libzmq4/Makefile
  head/net/mlvpn/Makefile
  head/net-im/qTox/Makefile
  head/net-im/tox/Makefile
  head/net-im/uTox/Makefile
  head/net-p2p/tribler/Makefile
  head/security/fastd/Makefile
  head/security/fastd-devel/Makefile
  head/security/libsodium/Makefile
  head/security/libsodium/distinfo
  head/security/libsodium/pkg-plist
  head/security/libuecc/Makefile
  head/security/p5-Crypt-Sodium/Makefile
  head/security/py-libnacl/Makefile
  head/security/py-pynacl/Makefile
  head/security/reop/Makefile